org.eclipse.jdt.core.util

## Interface ISourceAttribute

All Superinterfaces:
  IClassFileAttribute

    public interface ISourceAttribute
    extends IClassFileAttribute

Description of a source attribute as described in the JVM specifications. This interface may be implemented by clients.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getSourceFileIndex()` Answer back the source file index of this attribute.
`char[]` `getSourceFileName()` Answer back the source file name of this attribute.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

### Method Detail

#### getSourceFileIndex

    int getSourceFileIndex()

Answer back the source file index of this attribute.

Returns:
  the source file index of this attribute

#### getSourceFileName

    char[] getSourceFileName()

Answer back the source file name of this attribute.

Returns:
  the source file name of this attribute